Author Topic: kBackgammon AUR Fails to Install  (Read 1362 times)

0 Members and 1 Guest are viewing this topic.

Offline GavinX

  • Neuling
  • *
  • Posts: 4
  • I'm new. Be nice!
  • Skill: Novice
kBackgammon AUR Fails to Install
« on: 02. April 2016, 00:41:01 »
I'm trying to install kbackgammon from AUR, but keep getting an error. The terminal printout indicated that I have all dependencies installed, but I keep getting this error:

Quote
make[2]: *** [CMakeFiles/backgammon.dir/mainwindow.o] Error 1
CMakeFiles/Makefile2:131: recipe for target 'CMakeFiles/backgammon.dir/all' failed
make[1]: *** [CMakeFiles/backgammon.dir/all] Error 2
Makefile:138: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build kbackgammon.


Please help.

Offline c00ter

  • Held Mitglied
  • *****
  • Posts: 1534
  • Towelie's cupcake
  • Branch: ☮Olive☮
  • Desktop: Depends©
  • GPU Card: Intel HD4400M CPU: Core i7-4510U
  • GPU driver: Intel/Free
  • Kernel: 4.4-lts & 4.5
  • Skill: Novice
Re: kBackgammon AUR Fails to Install
« Reply #1 on: 02. April 2016, 04:07:53 »
Do you have kdegames/libkdegames installed? There is a comment indicating this may be necessary. There was no problem with the kbackgammon installing to KDE in my machine. Are you running KDE? Sometimes AUR packages can be poorly done. That is why you are warned about AUR packages.

Regards
“What, me worry?” ― Alfred E. Newman

Manjaro Wiki: https://wiki.manjaro.org/
Arch Wiki: https://wiki.archlinux.org/
Pacman Rosetta: https://wiki.archlinux.org/index.php/Pacman/Rosetta

Offline GavinX

  • Neuling
  • *
  • Posts: 4
  • I'm new. Be nice!
  • Skill: Novice
Re: kBackgammon AUR Fails to Install
« Reply #2 on: 02. April 2016, 13:36:51 »
Do you have kdegames/libkdegames installed? There is a comment indicating this may be necessary. There was no problem with the kbackgammon installing to KDE in my machine. Are you running KDE? Sometimes AUR packages can be poorly done. That is why you are warned about AUR packages.

Regards

Thanks for that suggestion c00ter. I was able to install, after adding libkdegames4 and the kdegames meta package.